import type { SessionStorage } from "@remix-run/server-runtime";
import { SessionProxy } from "./SessionProxy";
export type { SessionProxy } from "./SessionProxy";
export declare function wrapSessionStorage<SessionKey extends string = string>(storage: SessionStorage): {
    getSession(request: Request): Promise<SessionProxy<SessionKey>>;
};
